<< ddones | DD: 16 bytes decimal arithmetics | qr >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > DD: 16 bytes decimal arithmetics > ddpow

# ddpow

n-th power of DD variable

### Syntax

    p = ddpow(a,n)

### Parameters

a

  single DD real number

n

  integer > 0

p

  DD real number

### Description

ddpow(a,n)

  return the n-th power of `a`.

### Examples

    a = - ddrand(1,1)
    p = ddpow(a,3)
    p == a*a*a

    ddpow(a, 384)

    --> a = - ddrand(1,1)
     a  =
      -6.283917884260795078705996310064E-1

    --> p = ddpow(a,3)
     p  =
      -2.481369865105854344162709962368E-1

    --> p == a*a*a
     ans  =
      T

    --> ddpow(a, 384)
     ans  =
       3.315220868500474268000948206113E-78

### See Also

- ddnrt — n-th root of a DD real number
- multiplication — Available overloads for DD and QD real numbers
- dd — builds an array of DD numbers

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< ddones | DD: 16 bytes decimal arithmetics | qr >>